Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation.ast
Class ASTMemberValuePair

    java.lang.Object
      org.jboss.aop.annotation.ast.SimpleNode
          org.jboss.aop.annotation.ast.ASTMemberValuePair

All Implemented Interfaces:
  Node

public class ASTMemberValuePair
extends SimpleNode

Field Summary

Fields inherited from class org.jboss.aop.annotation.ast.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTMemberValuePair(AnnotationParser p, int id)`
`ASTMemberValuePair(int id)`

Method Summary
`ASTIdentifier` | `getIdentifier()`
`ASTMemberValue` | `getValue()`
`Object` | `jjtAccept(AnnotationParserVisitor visitor, Object data)` Accept the visitor.
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.

Methods inherited from class org.jboss.aop.annotation.ast.SimpleNode
`childrenAccept, dump, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTMemberValuePair

    public ASTMemberValuePair(int id)

### ASTMemberValuePair

    public ASTMemberValuePair(AnnotationParser p,
                              int id)

Method Detail

### jjtAccept

    public Object jjtAccept(AnnotationParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  Description copied from interface: `Node`
  This method tells the node to add its argument to the node's list of children.

  Specified by:
    `jjtAddChild` in interface `Node`
  Overrides:
    `jjtAddChild` in class `SimpleNode`

### getIdentifier

    public ASTIdentifier getIdentifier()

### getValue

    public ASTMemberValue getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.